package com.lovecoding.mvc.config;

import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;
import org.springframework.context.annotation.PropertySource;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;

@Configuration
@Import( {JdbcConfig.class, MybatisConfig.class}  )
@ComponentScan("com.lovecoding.mvc")
@PropertySource("classpath:db.properties")
public class SpringConfig {




}
